1.2

1.2

get /v1/publicips

Description

PublicIP 목록을 조회한다.

상태 ACTIVE (CURRENT)

버전최소 지원 보장일
1.2-

Parameters

TypeNameDescriptionSchemaDefault
querysize
optional
size
Example : 20
any of [integer, null]20
querypage
optional
page
Example : 0
any of [integer, null]0
querysort
optional
sort
Example : created_at:desc
any of [string, null]None
queryip_address
optional
IP 주소
Example : 192.167.0.5
any of [string, null]None
querystate
optional
PublicIP 상태
Example : ATTACHED
any of [string, null]None
queryattached_resource_type
optional
PublicIP 연결된 자원 타입
Example : NAT_GW
any of [string, null]None
queryattached_resource_id
optional
PublicIP 연결된 자원 ID
Example : 37e6db41f5124184a43251a63124cdc9
any of [string, null]None
queryattached_resource_name
optional
PublicIP 연결된 자원명
Example : Attached NAT Gateway Name
any of [string, null]None
queryvpc_id
optional
VPC ID
Example : 7df8abb4912e4709b1cb237daccca7a8
any of [string, null]None
querytype
optional
PublicIP 타입
Example : IGW
any of [enum (IGW, GGW, SIGW), null]None

Responses

HTTP CodeDescriptionSchema
200OKPublicipListResponseV1Dot2
400Bad RequestNone
403ForbiddenNone

Example HTTP request

Request path

/v1/publicips

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = vpc 1.2"

Example HTTP response

Response 200

{
    "count": 20,
    "page": 0,
    "publicips": [
        {
            "account_id": "f1e6c81a2b054582878cb9724dc2ce9f",
            "attached_resource_id": "37e6db41f5124184a43251a63124cdc9",
            "attached_resource_name": "Attached NAT Gateway Name",
            "attached_resource_type": "NAT_GW",
            "created_at": "2024-05-17T00:23:17Z",
            "created_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "description": "Public IP Description",
            "id": "12f56e27070248a6a240a497e43fbe18",
            "ip_address": "192.167.0.5",
            "modified_at": "2024-05-17T00:23:17Z",
            "modified_by": "90dddfc2b1e04edba54ba2b41539a9ac",
            "state": "ATTACHED",
            "type": "IGW"
        }
    ],
    "size": 20,
    "sort": [
        "created_at:asc"
    ]
}